{*******************************************************}
{                                                       }
{           CodeGear Delphi Runtime Library             }
{ Copyright(c) 2014-2017 Embarcadero Technologies, Inc. }
{              All rights reserved                      }
{                                                       }
{*******************************************************}

unit REST.Backend.EMSConsts;

interface

resourcestring
  sFormatEMSError = 'EMS Error: %0:s';
  sFormatEMSErrorDescription = 'EMS Error: %0:s. %1:s';
  sJSONObjectRequired = 'JSON object required';
  sJSONObjectExpected = 'JSON object expected';
  sJSONArrayExpected = 'JSON array expected';
  sOneUserExpected = 'One user expected';
  sOneModuleExpected = 'One module expected';
  sUserIDRequired = 'User ID required';
  sInstallationIDRequired = 'Installation ID required';
  sAuthTokenRequired = 'AuthToken required';
  sAppKeyRequired = 'AppKey required';
  sAppSecretRequired = 'AppSecret required';
  sMasterSecretRequired = 'MasterSecret required';
  sUserNameRequired = 'Username required';
  sSessionTokenExpected = 'Session token expected';
  sGroupNameRequired = 'Group name required';
  sChannelNamesExpected = 'Channel names expected';
  sDeviceNamesExpected = 'Device names expected';



  sMasterKeyRequired = 'MasterKey required';
  sBackendCollectionNameRequired = 'BackendCollectionName required';
  sSessionIDRequired =  'Session token required';
  sAPIKeyRequired =  'APIKey required';
  sGroupNotFound = 'Group not found: %s';

  sUnsupportedProtocol = 'Unsupported protocol';
  sModuleIDRequired = 'Module ID required';
  sResourceNameRequired = 'Resource name required';

  sURLHostNotBlank = 'URLHost must not be blank';
  sURLProtocolNotBlank = 'URLProtocol must not be blank';


implementation

end.
