﻿{*******************************************************}
{                                                       }
{            Delphi Visual Component Library            }
{                                                       }
{ Copyright(c) 1995-2017 Embarcadero Technologies, Inc. }
{              All rights reserved                      }
{*******************************************************}
{by Yako-2017}

unit Vcl.Consts;

interface

resourcestring
  SSelectADate = 'Elegir una fecha';   //XE10 'select a date';
  SOpenFileTitle = 'Abrir'; //'Open';
  SCantWriteResourceStreamError = 'No es posible escribir en un Stream de recurso de solo lectura'; //'Can''t write to a read-only resource stream';
  SDuplicateReference = 'WriteObject ha sido llamado dos veces en la misma instancia'; //'WriteObject called twice for the same instance';
  SClassMismatch = 'El recurso %s es de la clase incorrecta'; //'Resource %s is of incorrect class';
  SInvalidTabIndex = 'El indice de la pestaña esta fuera de rango'; //'Tab index out of bounds';
  SInvalidTabPosition = 'La posicion de la pestaña es incompatible con el tipo actual de pestaña'; //'Tab position incompatible with current tab style';
  SInvalidTabStyle = 'El estilo de pestaña es incompatible con la posicion actual de la pestaña'; //'Tab style incompatible with current tab position';
  SInvalidBitmap = 'La imagen Bitmap no es valida'; //'Bitmap image is not valid';
  SInvalidIcon = 'La imagen de icono no es valida'; //'Icon image is not valid';
  SInvalidMetafile = 'El Metafile no es valido'; //'Metafile is not valid';
  SInvalidPixelFormat = 'Formato de pixel invalido'; //'Invalid pixel format';
  SInvalidImage = 'Imagen invalida'; //'Invalid image';
  SBitmapEmpty = 'El Bitmap esta vacio'; //'Bitmap is empty';
  SScanLine = 'Indice de la linea de exploracion fuera de rango'; //'Scan line index out of range';
  SChangeIconSize = 'No es posible cambiar el tamaño de un icono'; //'Cannot change the size of an icon';
  SChangeWicSize = 'No es posible cambiar el tamaño de una imagen WIC'; //'Cannot change the size of a WIC Image';
  SOleGraphic = 'Operacion invalida en TOleGraphic'; //'Invalid operation on TOleGraphic';
  SUnknownExtension = 'Extension de archivo grafico desconocida (.%s)'; //'Unknown picture file extension (.%s)';
  SUnknownClipboardFormat = 'Formato de portapapeles no soportado'; //'Unsupported clipboard format';
  SUnknownStreamFormat = 'Formato de memoria no soportado'; //'Unsupported stream format';
  SOutOfResources = 'Sin recursos del sistema'; //'Out of system resources';
  SNoCanvasHandle = 'No es posible dibujar en el Canvas'; //'Canvas does not allow drawing';
  SInvalidTextFormatFlag = 'Bandera de formato de texto ''%s'' no soportada'; //'Text format flag ''%s'' not supported';
  SInvalidImageSize = 'Tamaño de imagen invalido'; //'Invalid image size';
  STooManyImages = 'Demasiadas imagenes'; //'Too many images';
  SDimsDoNotMatch = 'Las dimensiones de la imagen no coinciden con las dimensiones de la lista de imagenes'; //'Image dimensions do not match image list dimensions';
  SInvalidImageList = 'ImageList invalido'; //'Invalid ImageList';
  SReplaceImage = 'No es posible reemplazar la imagen'; //'Unable to Replace Image';
  SInsertImage ='No es posible insertar la imagen'; //'Unable to Insert Image';
  SImageIndexError = 'Indice de ImageList invalido'; //'Invalid ImageList Index';
  SImageReadFail = 'Fallo al leer datos de ImageList desde Stream'; //'Failed to read ImageList data from stream';
  SImageWriteFail = 'Fallo al escribir datos de ImageList en Stream'; //'Failed to write ImageList data to stream';
  SWindowDCError = 'Error creando contexto para dispositivo de ventana'; //'Error creating window device context';
  SClientNotSet = 'Cliente de TDrag no inicializado'; //'Client of TDrag not initialized';
  SWindowClass = 'Error creando clase de ventana'; //'Error creating window class';
  SWindowCreate = 'Error creando ventana'; //'Error creating window';
  SCannotFocus = 'No es posible asignar el foco a una ventana deshabilitada o invisible'; //'Cannot focus a disabled or invisible window';
  SParentRequired = 'El control ''%s'' no tiene ventana pariente'; //'Control ''%s'' has no parent window';
  SParentGivenNotAParent = 'El pariente proporcionado no es pariente de ''%s'''; //'Parent given is not a parent of ''%s''';
  SMDIChildNotVisible = 'No es posible esconder un Form MDI Child'; //'Cannot hide an MDI Child Form';
  SVisibleChanged = 'No es posible cambiar la visibilidad en OnShow u OnHide'; //'Cannot change Visible in OnShow or OnHide';
  SCannotShowModal = 'No es posible hacer modal una ventana visible'; //'Cannot make a visible window modal';
  SScrollBarRange = 'Propiedad Scrollbar fuera de rango'; //'Scrollbar property out of range';
  SPropertyOutOfRange = 'Propiedad %s fuera de rango'; //'%s property out of range';
  SMenuIndexError = 'Indice de menu fuera de rango'; //'Menu index out of range';
  SMenuReinserted = 'Menu insertado dos veces'; //'Menu inserted twice';
  SMenuNotFound = 'El submenu no existe en el menu'; //'Sub-menu is not in menu';
  SNoTimers = 'No hay suficientes Timers disponibles'; //'Not enough timers available';
  SNotPrinting = 'La impresora no esta imprimiendo actualmente'; //'Printer is not currently printing';
  SPrinting = 'Impresion en progreso'; //'Printing in progress';
  SPrinterIndexError = 'Indice de impresora fuera de rango'; //'Printer index out of range';
  SInvalidPrinter = 'La impresora seleccionada es invalida'; //'Printer selected is not valid';
  SDeviceOnPort = '%s en %s'; //'%s on %s';
  SGroupIndexTooLow = 'GroupIndex no puede ser menor que un GroupIndex de las anteriores opciones de menu'; //'GroupIndex cannot be less than a previous menu item''s GroupIndex';
  STwoMDIForms = 'No es posible tener mas de un Form MDI por aplicacion'; //'Cannot have more than one MDI form per application';
  SNoMDIForm = 'No es posible crear Form. No hay Forms MDI activos actualmente'; //'Cannot create form. No MDI forms are currently active';
  SImageCanvasNeedsBitmap = 'Unicamente es posible modificar una imagen si contiene un bitmap'; //'Can only modify an image if it contains a bitmap';
  SControlParentSetToSelf = 'Un control no puede definirse a si mismo como pariente'; //'A control cannot have itself as its parent';
  SOKButton = 'Aceptar'; //'OK';
  SCancelButton = 'Cancelar'; //'Cancel';
  SYesButton = '&Si'; //'&Yes';
  SNoButton = '&No';
  SHelpButton = '&Ayuda'; //'&Help';
  SCloseButton = '&Cerrar'; //'&Close';
  SIgnoreButton = '&Ignorar'; //'&Ignore';
  SRetryButton = '&Reintentar'; //'&Retry';
  SAbortButton = 'Abortar'; //'Abort';
  SAllButton = '&Todo'; //'&All';

  SCannotDragForm = 'No es posible arrastrar un Form'; //'Cannot drag a form';
  SPutObjectError = 'PutObject hacia un elemento no definido'; //'PutObject to undefined item';
  SCardDLLNotLoaded = 'No es posible cargar CARDS.DLL'; //'Could not load CARDS.DLL';
  SDuplicateCardId = 'Se ha encontrado un CardId duplicado'; //'Duplicate CardId found';

  SDdeErr = 'Ha sido devuelto un error desde DDE ($0%x)'; //'An error returned from DDE  ($0%x)';
  SDdeConvErr = 'Error DDE - Conversacion no establecida ($0%x)'; //'DDE Error - conversation not established ($0%x)';
  SDdeMemErr = 'Ha ocurrido un error cuando DDE se quedo sin memoria ($0%x)'; //'Error occurred when DDE ran out of memory ($0%x)';
  SDdeNoConnect = 'No es posible conectar a conversacion DDE'; //'Unable to connect DDE conversation';

  SFB = 'FB';
  SFG = 'FG';
  SBG = 'BG';
  SOldTShape = 'No es posible cargar una version antigua de TShape'; //'Cannot load older version of TShape';
  SVMetafiles = 'Meta-Archivos';
  SVEnhMetafiles = 'Meta-archivos mejorados'; //'Enhanced Metafiles';
  SVIcons = 'Iconos'; //'Icons';
  SVBitmaps = 'Bitmaps';
  SVTIFFImages = 'Imagenes TIFF'; //'TIFF Images'; 
{$IF DEFINED(CLR)}				  
  SVJPGImages = 'Imagenes JPEG'; //'JPEG Images';
  SVPNGImages = 'Imagenes PNG'; //'PNG Images';
  SVGIFImages = 'Imagenes GIF'; //'GIF Images';
{$ENDIF}		
  SGridTooLarge = 'Grid demasiado grande para la operacion'; //'Grid too large for operation';
  STooManyDeleted = 'Demasiadas filas o columnas borradas'; //'Too many rows or columns deleted';
  SIndexOutOfRange = 'Indice de Grid fuera de rango'; //'Grid index out of range';
  SFixedColTooBig = 'La cantidad de columnas fijas debe ser menor al total de columnas'; //'Fixed column count must be less than column count';
  SFixedRowTooBig = 'La cantidad de filas fijas debe ser menor al total de filas'; //'Fixed row count must be less than row count';
  SInvalidStringGridOp = 'No es posible insertar o borrar filas desde el Grid'; //'Cannot insert or delete rows from grid';
  SInvalidEnumValue = 'Valor Enum Invalido'; //'Invalid Enum Value';
  SInvalidNumber = 'Valor numerico invalido'; //'Invalid numeric value';
  SOutlineIndexError = 'Indice de contorno no encontrado'; //'Outline index not found';
  SOutlineExpandError = 'El pariente debe estar expandido'; //'Parent must be expanded';
  SInvalidCurrentItem = 'Valor invalido para el elemento actual'; //'Invalid value for current item';
  SMaskErr = 'Valor de entrada invalido'; //'Invalid input value';
  SMaskEditErr = 'Valor de entrada invalido. Use la tecla Escape para abandonar los cambios'; //'Invalid input value.  Use escape key to abandon changes';
  SOutlineError = 'Indice de contorno invalido'; //'Invalid outline index';
  SOutlineBadLevel = 'Nivel de asignacion incorrecto'; //'Incorrect level assignment';
  SOutlineSelection = 'Seleccion invalida'; //'Invalid selection';
  SOutlineFileLoad = 'Error al cargar archivo'; //'File load error';
  SOutlineLongLine = 'Linea demasiado larga'; //'Line too long';
  SOutlineMaxLevels = 'Profundidad maxima de contorno excedida'; //'Maximum outline depth exceeded';

  SMsgDlgWarning = 'Advertencia'; //'Warning';
  SMsgDlgError = 'Error';
  SMsgDlgInformation = 'Informacion'; //'Information';
  SMsgDlgConfirm = 'Confirmar'; //'Confirm';
  SMsgDlgYes = '&Si'; //'&Yes';
  SMsgDlgNo = '&No';
  SMsgDlgOK = 'Aceptar'; //'OK';
  SMsgDlgCancel = 'Cancelar'; //'Cancel';
  SMsgDlgHelp = 'A&yuda'; //'&Help';
  SMsgDlgHelpNone = 'Sin ayuda disponible'; //'No help available';
  SMsgDlgHelpHelp = 'Ayuda'; //'Help';
  SMsgDlgAbort = '&Abortar'; //'&Abort';
  SMsgDlgRetry = '&Reintentar'; //'&Retry';
  SMsgDlgIgnore = '&Ignorar'; //'&Ignore';
  SMsgDlgAll = '&Todo'; //'&All';
  SMsgDlgNoToAll = 'N&o a todo'; //'N&o to All';
  SMsgDlgYesToAll = 'Si &Todo'; //'Yes to &All';
  SMsgDlgClose = '&Cerrar'; //'&Close';

  SmkcBkSp = 'Retroceso'; //'BkSp';
  SmkcTab = 'Tab';
  SmkcEsc = 'Esc';
  SmkcEnter = 'Enter'; //'Enter';
  SmkcSpace = 'Espacio'; //'Space';
  SmkcPgUp = 'RePag'; //'PgUp';
  SmkcPgDn = 'AvPag'; //'PgDn';
  SmkcEnd = 'Fin'; //'End';
  SmkcHome = 'Inicio'; //'Home';
  SmkcLeft = 'Izquierda'; //'Left';
  SmkcUp = 'Arriba'; //'Up';
  SmkcRight = 'Derecha'; //'Right';
  SmkcDown = 'Abajo'; //'Down';
  SmkcIns = 'Insertar'; //'Ins';
  SmkcDel = 'Supr'; //'Del';
  SmkcShift = 'Shift+';
  SmkcCtrl = 'Ctrl+';
  SmkcAlt = 'Alt+';

  srUnknown = '(Desconocido)'; //'(Unknown)';
  srNone = '(Ninguno)'; //'(None)';
  SOutOfRange = 'El valor debe estar entre %d y %d'; //'Value must be between %d and %d';

  SDateEncodeError = 'Argumento invalido para codificar fecha'; //'Invalid argument to date encode';
  SDefaultFilter = 'Todos los archivos (*.*)|*.*'; //'All files (*.*)|*.*';
  sAllFilter = 'Todos'; //'All';
  SNoVolumeLabel = ': [ - Sin etiqueta de volumen - ]'; //': [ - no volume label - ]';
  SInsertLineError = 'No es posible insertar una linea'; //'Unable to insert a line';

  SConfirmCreateDir = 'El directorio especificado no existe. ¿Desea crearlo?'; //'The specified directory does not exist. Create it?';
  SSelectDirCap = 'Seleccione Directorio'; //'Select Directory';
  SDirNameCap = '&Nombre de directorio:'; //'Directory &Name:';
  SDrivesCap = '&Unidades:'; //'D&rives:';
  SDirsCap = '&Directorios:'; //'&Directories:';
  SFilesCap = '&Archivos: (*.*)'; //'&Files: (*.*)';
  SNetworkCap = '&Red...'; //'Ne&twork...';

  SColorPrefix = 'Color' deprecated;          //!! obsolete - delete in 5.0
  SColorTags = 'ABCDEFGHIJKLMNOP' deprecated; //!! obsolete - delete in 5.0

  SInvalidClipFmt = 'Formato de portapapeles invalido'; //'Invalid clipboard format';
  SIconToClipboard = 'El portapapeles no soporta iconos'; //'Clipboard does not support Icons';
  SCannotOpenClipboard = 'No es posible abrir el portapapeles'; //'Cannot open clipboard';

  SDefault = 'Predeterminado'; //'Default';

  SInvalidMemoSize = 'El texto excede la capacidad del Memo'; //'Text exceeds memo capacity';
  SCustomColors = 'Colores personalizados'; //'Custom Colors';
  SInvalidPrinterOp = 'Operacion no soportada en la impresora seleccionada'; //'Operation not supported on selected printer';
  SNoDefaultPrinter = 'Actualmente no hay seleccionada ninguna impresora predeterminada'; //'There is no default printer currently selected';

  SIniFileWriteError = 'No es posible escribir en %s'; //'Unable to write to %s';

  SBitsIndexError = 'Indice de bits fuera de rango'; //'Bits index out of range';

  SUntitled = '(sin nombre)'; //'(Untitled)';

  SInvalidRegType = 'Tipo de dato invalido para ''%s'''; //'Invalid data type for ''%s''';

  SUnknownConversion = 'Extension de archivo de conversion RichEdit desconocida (.%s)'; //'Unknown RichEdit conversion file extension (.%s)';
  SDuplicateMenus = 'El menu ''%s'' ya esta siendo utilizado por otro Form'; //'Menu ''%s'' is already being used by another form';

  SPictureLabel = 'Imagen:'; //'Picture:';
  SPictureDesc = ' (%dx%d)';
  SPreviewLabel = 'Vista previa'; //'Preview';

  SCannotOpenAVI = 'No es posible abrir el AVI'; //'Cannot open AVI';

  SNotOpenErr = 'No hay dispositivo MCI abierto'; //'No MCI device open';
  SMPOpenFilter = 'Todos los archivos (*.*)|*.*|Archivos de Onda (*.wav)|*.wav|Archivos MIDI (*.mid)|*.mid|Archivos de Video (*.avi)|*.avi'; //'All files (*.*)|*.*|Wave files (*.wav)|*.wav|Midi files (*.mid)|*.mid|Video for Windows (*.avi)|*.avi';
  SMCINil = '';
  SMCIAVIVideo = 'AVIVideo';
  SMCICDAudio = 'CDAudio';
  SMCIDAT = 'DAT';
  SMCIDigitalVideo = 'DigitalVideo';
  SMCIMMMovie = 'MMMovie';
  SMCIOther = 'Other';
  SMCIOverlay = 'Overlay';
  SMCIScanner = 'Scanner';
  SMCISequencer = 'Sequencer';
  SMCIVCR = 'VCR';
  SMCIVideodisc = 'Videodisc';
  SMCIWaveAudio = 'WaveAudio';
  SMCIUnknownError = 'Codigo de error desconocido'; //'Unknown error code';

  SBoldItalicFont = 'Negrita cursiva'; //'Bold Italic';
  SBoldFont = 'Negrita'; //'Bold';
  SItalicFont = 'Cursiva'; //'Italic';
  SRegularFont = 'Normal'; //'Regular';

  SPropertiesVerb = 'Propiedades'; //'Properties';

  SServiceFailed = 'Fallo del Servicio en %s: %s'; //'Service failed on %s: %s';
  SExecute = 'ejecutar'; //'execute';
  SStart = 'iniciar'; //'start';
  SStop = 'detener'; //'stop';
  SPause = 'pausar'; //'pause';
  SContinue = 'continuar'; //'continue';
  SInterrogate = 'preguntar'; //'interrogate';
  SShutdown = 'apagar'; //'shutdown';
  SCustomError = 'Fallo del servicio en mensaje personalizado (%d): %s'; //'Service failed in custom message(%d): %s';
  SServiceInstallOK = 'Servicio instalado con I©xito'; //'Service installed successfully';
  SServiceInstallFailed = 'El servicio "%s" fallo al instalarse con el error: "%s"'; //'Service "%s" failed to install with error: "%s"';
  SServiceUninstallOK = 'Servicio desinstalado con I©xito'; //'Service uninstalled successfully';
  SServiceUninstallFailed = 'El servicio "%s" fallo al desinstalarse con el error: "%s"'; //'Service "%s" failed to uninstall with error: "%s"';

  SDockedCtlNeedsName = 'El control anclado debe tener un nombre'; //'Docked control must have a name';
  SDockTreeRemoveError = 'Error eliminando el control del arbol de anclaje'; //'Error removing control from dock tree';
  SDockZoneNotFound = ' - Zona de anclaje no encontrada'; //' - Dock zone not found';
  SDockZoneHasNoCtl = ' - Zona de anclaje sin ningun control'; //' - Dock zone has no control';
  SDockZoneVersionConflict = 'Error al cargar la zona de anclaje desde el Stream.'+#13#10+'Se esperaba la version %d, pero se encontro la version %d.'; 
  //'Error loading dock zone from the stream. ' + 'Expecting version %d, but found %d.';
  
  SAllCommands = 'Todos los comandos'; //'All Commands';

  SDuplicateItem = 'La lista no admite duplicados ($0%x)'; //'List does not allow duplicates ($0%x)';

  STextNotFound = 'Texto no encontrado: "%s"'; //'Text not found: "%s"';
  SBrowserExecError = 'No hay especificado un navegador predeterminado'; //'No default browser is specified';

  SColorBoxCustomCaption = 'Personalizado...'; //'Custom...';

  SMultiSelectRequired = 'El modo multiseleccion debe estar activado para utilizar esta caracteristica'; //'Multiselect mode must be on for this feature';

  SPromptArrayTooShort = 'La longitud de la matriz debe ser >= longitud de la matriz del sistema'; //'Length of value array must be >= length of prompt array';
  SPromptArrayEmpty = 'La matriz del sistema no puede estar vacia'; //'Prompt array must not be empty';

  SUsername = 'Nombre de &usuario'; //'&Username';
  SPassword = '&Contraseña'; //'&Password';
  SDomain = '&Dominio'; //'&Domain';
  SLogin = 'Inicio de sesion'; //'Login';

  SKeyCaption = 'Clave'; //'Key';
  SValueCaption = 'Valor'; //'Value';
  SKeyConflict = 'Ya existe una clave con el nombre "%s"'; //'A key with the name of "%s" already exists';
  SKeyNotFound = 'clave "%s" no encontrada'; //'Key "%s" not found';
  SNoColumnMoving = 'goColMoving no es una opcion soportada'; //'goColMoving is not a supported option';
  SNoEqualsInKey = 'La clave no puede contener el signo de igualdad ("=")'; //'Key may not contain equals sign ("=")';

  SSendError = 'Error enviando correo'; //'Error sending mail';
  SAssignSubItemError = 'No es posible asignar un sub-elemento a una ActionBar cuando uno de los parientes ya esta asignado a una ActionBar'; //'Cannot assign a subitem to an actionbar when one of it''s parent''s is already assigned to an actionbar';
  SDeleteItemWithSubItems = 'El elemento %s contiene sub-elementos. ¿Desea borrarlo de todas formas?'; //'Item %s has subitems, delete anyway?';
  SDeleteNotAllowed = 'No esta autorizado para eliminar este elemento'; //'You are not allowed to delete this item';
  SMoveNotAllowed = 'No esta autorizado para eliminar el elemento %s'; //'Item %s is not allowed to be moved';    
  SMoreButtons = 'Mas Botones'; //'More Buttons';
  SErrorDownloadingURL = 'Error descargando URL: %s'; //'Error downloading URL: %s';
  SUrlMonDllMissing = 'No es posible cargar %s'; //'Unable to load %s';
  SAllActions = '(Todas las acciones)'; //'(All Actions)';
  SNoCategory = '(Sin categoria)'; //'(No Category)';
  SExpand = 'Expandir'; //'Expand';
  SErrorSettingPath = 'Error asignando ruta: "%s"'; //'Error setting path: "%s"';
  SLBPutError = 'Intentando añadir elementos dentro de una Listbox virtual'; //'Attempting to put items into a virtual style listbox';
  SErrorLoadingFile = 'Error cargando un archivo de opciones previamente guardado: %s'#13'¿Desea eliminarlo?'; //'Error loading previously saved settings file: %s'#13'Would you like to delete it?';
  SResetUsageData = '¿Reiniciar todos los datos de uso?'; //'Reset all usage data?';
  SFileRunDialogTitle = 'Ejecutar'; //'Run';
  SNoName = '(Sin nombre)'; //'(No Name)';      
  SErrorActionManagerNotAssigned = 'Primero es necesario asignar el ActionManager'; //'ActionManager must first be assigned';
  SAddRemoveButtons = '&Añadir o quitar Botones'; //'&Add or Remove Buttons';
  SResetActionToolBar = 'Reiniciar barra de herramientas'; //'Reset Toolbar';
  SCustomize = '&Personalizar'; //'&Customize...';
  SSeparator = 'Separador'; //'Separator';
  SCircularReferencesNotAllowed = 'Las referencias circulares no estan permitidas'; //'Circular references not allowed';
  SCannotHideActionBand = 'No esta permitido ocultar %s'; //'%s does not allow hiding';
  SErrorSettingCount = 'Error asignando %s.Count'; //'Error setting %s.Count';
  SListBoxMustBeVirtual = 'La Listbox (%s) debe ser virtual para definir Count'; //'Listbox (%s) style must be virtual in order to set Count';
  SUnableToSaveSettings = 'No es posible guardar los parametros'; //'Unable to save settings';
  SRestoreDefaultSchedule = '¿Desea reasignar la agenda de prioridades predeterminada?'; //'Would you like to reset to the default Priority Schedule?';
  SNoGetItemEventHandler = 'No ha sido asignado ningun Handle predeterminado al evento OnGetItem'; //'No OnGetItem event handler assigned';
  SInvalidColorMap = 'Colormap invalido. Esta ActionBand requiere ColorMaps del tipo TCustomActionBarColorMapEx'; //'Invalid Colormap this ActionBand requires ColorMaps of type TCustomActionBarColorMapEx';
  SDuplicateActionBarStyleName = 'El estilo de nombre %s ya habia sido registrado'; //'A style named %s has already been registered';
  SMissingActionBarStyleName = 'El estilo de nombre %s no esta registrado'; //'A style named %s has not been registered';
  SStandardStyleActionBars = 'Estilo estandar'; //'Standard Style';
  SXPStyleActionBars = 'Estilo XP'; //'XP Style';  
  SActionBarStyleMissing = 'Ninguna unidad de estilo Actionband esta incluida en la clausula uses.'#13 +
                   'Su aplicacion debe incluir XPStyleActnCtrls, StdStyleActnCtrls u ' +
                   'otra unidad de estilos ActionBand en la clausula uses';
                   //'No ActionBand style unit present in the uses clause.'#13 +
                   //'Your application must include either XPStyleActnCtrls, StdStyleActnCtrls or ' +
                   //'a third party ActionBand style unit in its uses clause';
  sParameterCannotBeNil = 'El parametro %s en la llamada a %s no puede estar vacio (nil)'; //'%s parameter in call to %s cannot be nil';
  SInvalidColorString = 'Cadena de color invalida'; //'Invalid Color string';
  SActionManagerNotAssigned = 'La propiedad %s del ActionManager no ha sido asignada'; //'%s ActionManager property has not been assigned';

  SInvalidPath = '"%s" es una ruta invalida'; //'"%s" is an invalid path';
  SInvalidPathCaption = 'Ruta invalida'; //'Invalid path';

  SANSIEncoding = 'ANSI';
  SASCIIEncoding = 'ASCII';
  SUnicodeEncoding = 'Unicode';
  SBigEndianEncoding = 'Big Endian Unicode';
  SUTF8Encoding = 'UTF-8';
  SUTF7Encoding = 'UTF-7';
  SEncodingLabel = 'Codificando:'; //'Encoding:';

  sCannotAddFixedSize = 'No es posible añadir columnas ni filas mientras el estilo de expansion sea de tamaño fijo'; //'Cannot add columns or rows while expand style is fixed size';
  sInvalidSpan = '''%d'' no es un Span valido'; //'''%d'' is not a valid span';
  sInvalidRowIndex = 'Indice de fila, %d, fuera de rango'; //'Row index, %d, out of bounds';
  sInvalidColumnIndex = 'Indice de columna, %d, fuera de rango'; //'Column index, %d, out of bounds';
  sInvalidControlItem = 'ControlItem.Control no puede establecerse en un GridPanel propietario'; //'ControlItem.Control cannot be set to owning GridPanel';
  sCannotDeleteColumn = 'No es posible eliminar una columna si contiene controles'; //'Cannot delete a column that contains controls';
  sCannotDeleteRow = 'No es posible eliminar una fila si contiene controles'; //'Cannot delete a row that contains controls';
  sCellMember = 'Miembro'; //'Member';
  sCellSizeType = 'Tamaño de tipo'; //'Size Type';
  sCellValue = 'Valor'; //'Value';
  sCellAutoSize = 'Automatico'; //'Auto';
  sCellPercentSize = 'Pocentaje'; //'Percent';
  sCellAbsoluteSize = 'Absoluto'; //'Absolute';
  sCellColumn = 'Columna%d'; //'Column%d';
  sCellRow = 'Fila%d'; //'Row%d';

  STrayIconRemoveError = 'No es posible quitar el icono de notificacion Shell'; //'Cannot remove shell notification icon';
  STrayIconCreateError = 'No es posible crear el icono de notificacion Shell'; //'Cannot create shell notification icon';

  SPageControlNotSet = 'Primero debe ser asignado el PageControl'; //'PageControl must first be assigned';

  SWindowsVistaRequired = '%s requiere Windows Vista o posterior'; //'%s requires Windows Vista or later';
  SXPThemesRequired = '%s requiere algun estilo visual para estar habilitado'; //'%s requires themes to be enabled';

  STaskDlgButtonCaption = 'Boton%d'; //'Button%d';
  STaskDlgRadioButtonCaption = 'BtnRadio%d'; //'RadioButton%d';
  SInvalidTaskDlgButtonCaption = 'El Caption no puede estar vacio'; //'Caption cannot be empty';

  SInvalidCategoryPanelParent = 'CategoryPanel requiere un CategoryPanelGroup pariente'; //'CategoryPanel must have a CategoryPanelGroup as its parent';
  SInvalidCategoryPanelGroupChild = 'Solo un CategoryPanel puede ser insertado en un CategoryPanelGroup'; //'Only CategoryPanels can be inserted into a CategoryPanelGroup';

  SInvalidCanvasOperation = 'Operacion invalida en Canvas'; //'Invalid canvas operation';
  SNoOwner = '%s no es el propietario'; //'%s has no owner';
  SRequireSameOwner = 'Origen y destino requieren el mismo propietario'; //'Source and destination require the same owner';
  SDirect2DInvalidOwner = '%s no puede ser propiedad de un Canvas diferente'; //'%s cannot be owned by a different canvas';
  SDirect2DInvalidSolidBrush = 'No es un Brush de color solido'; //'Not a solid color brush';
  SDirect2DInvalidBrushStyle = 'Estilo de Brush invalido'; //'Invalid brush style';

  SKeyboardLocaleInfo = 'Error recuperando informacion local'; //'Error retrieving locale information';
  SKeyboardLangChange = 'Fallo al cambiar el idioma de entrada'; //'Failed to change input language';

  SOnlyWinControls = 'Išnicamente es posible anclar controles basados en TWinControl'; //'You can only tab dock TWinControl based Controls';

  SNoKeyword = 'No hay palabras clave de ayuda especificadas'; //'No help keyword specified.';

  SStyleLoadError = 'No es posible cargar el estilo ''%s'''; //'Unable to load style ''%s''';
  SStyleLoadErrors = 'No es posible cargar los estilos: ''%s'''; //'Unable to load styles: %s';
  SStyleRegisterError = 'El estilo ''%s'' ya esta registrado'; //'Style ''%s'' already registered';
  SStyleClassRegisterError = 'La clase del estilo ''%s'' ya esta registrada'; //'Style class ''%s'' already registered';
  SStyleNotFound = 'Estilo ''%s'' no encontrado'; //'Style ''%s'' not found';
  SStyleClassNotFound = 'Clase de estilo ''%s'' no encontrada'; //'Style class ''%s'' not found';
  SStyleInvalidHandle = 'El handle del estilo es invalido'; //'Invalid style handle';
  SStyleFormatError = 'Estilo de formato invalido'; //'Invalid style format';
  SStyleFileDescription = 'Archivo de estilo VCL'; //'VCL Style File';
  SStyleHookClassRegistered = 'La clase ''%s'' ya esta registrada para ''%s'''; //'Class ''%s'' is already registered for ''%s''';
  SStyleHookClassNotRegistered = 'La clase ''%s'' no esta registrada para ''%s'''; //'Class ''%s'' is not registered for ''%s''';
  SStyleInvalidParameter = 'El parametro %s no puede estar vacio'; //'%s parameter cannot be nil';
  SStyleHookClassNotFound = 'Una clase StyleHook no ha sido registrada para %s'; //'A StyleHook class has not been registered for %s';
  
  SStyleFeatureNotSupported = 'Caracteristica no admitida en este Estilo'; //'Feature not supported by this style';
  SStyleNotRegistered = 'El estilo "%s" no esta registrado.'; //'Style ''%s'' is not registered';
  SStyleUnregisterError = 'Imposible quitar un Estilo Original.';//'Cannot unregister the system style';
  SStyleNotRegisteredNoName = 'El Estilo no esta registrado.'; //'Style not registered';


  // ColorToPrettyName strings
  SNameBlack = 'Black';
  SNameMaroon = 'Maroon';
  SNameGreen = 'Green';
  SNameOlive = 'Olive';
  SNameNavy = 'Navy';
  SNamePurple = 'Purple';
  SNameTeal = 'Teal';
  SNameGray = 'Gray';
  SNameSilver = 'Silver';
  SNameRed = 'Red';
  SNameLime = 'Lime';
  SNameYellow = 'Yellow';
  SNameBlue = 'Blue';
  SNameFuchsia = 'Fuchsia';
  SNameAqua = 'Aqua';
  SNameWhite = 'White';
  SNameMoneyGreen = 'Money Green';
  SNameSkyBlue = 'Sky Blue';
  SNameCream = 'Cream';
  SNameMedGray = 'Medium Gray';
  SNameActiveBorder = 'Active Border';
  SNameActiveCaption = 'Active Caption';
  SNameAppWorkSpace = 'Application Workspace';
  SNameBackground = 'Background';
  SNameBtnFace = 'Button Face';
  SNameBtnHighlight = 'Button Highlight';
  SNameBtnShadow = 'Button Shadow';
  SNameBtnText = 'Button Text';
  SNameCaptionText = 'Caption Text';
  SNameDefault = 'Default';
  SNameGradientActiveCaption = 'Gradient Active Caption';
  SNameGradientInactiveCaption = 'Gradient Inactive Caption';
  SNameGrayText = 'Gray Text';
  SNameHighlight = 'Highlight Background';
  SNameHighlightText = 'Highlight Text';
  SNameHotLight = 'Hot Light';
  SNameInactiveBorder = 'Inactive Border';
  SNameInactiveCaption = 'Inactive Caption';
  SNameInactiveCaptionText = 'Inactive Caption Text';
  SNameInfoBk = 'Info Background';
  SNameInfoText = 'Info Text';
  SNameMenu = 'Menu Background';
  SNameMenuBar = 'Menu Bar';
  SNameMenuHighlight = 'Menu Highlight';
  SNameMenuText = 'Menu Text';
  SNameNone = 'None';
  SNameScrollBar = 'Scroll Bar';
  SName3DDkShadow = '3D Dark Shadow';
  SName3DLight = '3D Light';
  SNameWindow = 'Window Background';
  SNameWindowFrame = 'Window Frame';
  SNameWindowText = 'Window Text';
//XE10
SInvalidBitmapPixelFormat = 'Formato de pixel no valido. El BMP debe ser una imagen de 32 bits.';
SJumplistsItemErrorGetpsi = 'Consultando la interfaz IPropertyStore ';
SJumplistsItemErrorInitializepropvar = 'Inicializar una propiedad Variant ';
SJumplistsItemErrorSetps = 'establecer el valor de un almacén de propiedades ';
SJumplistsItemErrorCommitps = 'Guardar un almacén de propiedades ';
SJumplistsItemErrorSettingarguments = 'Establecer los argumentos de un elemento de lista de salto ';
SJumplistsItemErrorSettingpath = 'Estableciendo la ruta de un elemento de lista de salto ';
SJumplistsItemErrorSettingicon = 'Configuracion de la ubicacion del icono de un elemento de lista de salto ';
SJumplistsItemErrorAddingtobjarr = 'Agregar un elemento a una matriz de objetos ';
SJumplistsItemErrorGettingobjarr = 'Consultando la interfaz IObjectArray ';
SJumplistsItemErrorNofriendlyname = 'La propiedad FriendlyName de un elemento no debe estar vacia ';
SJumplistsItemException = 'JumpListItem Exception: error %d: %s ';
SJumplistException = 'Jumplist Exception: error%d: %s ';
SJumplistErrorBeginlist = 'Iniciar una sesion de creacion para una nueva lista de saltos ';
SJumplistErrorAppendrc = 'Anexar un elemento a la categoria archivos recientes de una nueva lista de salto ';
SJumplistErrorAppendfc = 'Anexar un elemento a la categoria archivos frecuentes de una nueva lista de salto ';
SJumplistErrorAddusertasks = 'Agregar sus tareas a una nueva lista de saltos ';
SJumplistErrorAddcategory = 'Agregar una categoria personalizada (''%s'') y sus elementos secundarios a una nueva lista de saltos ';
SJumplistErrorCommitlist = 'Cometiendo una nueva lista de saltos ';
SJumplistExceptionInvalidOS = 'El sistema operativo actual no admite listas de salto ';
SJumplistExceptionAppID = 'El proceso actual ya tiene un ID de aplicacion: %s ';

{ BeginInvoke} 

sBeginInvokeNoHandle = 'No se puede llamar a BeginInvoke en un control sin el identificador de elemento principal o de ventana ';

SToggleSwitchCaptionOn = 'On';
SToggleSwitchCaptionOff = 'Off';
SInvalidRelativePanelControlItem = 'ControlItem.Control no se puede establecer como propietario de RelativePanel';
SInvalidRelativePanelSibling = 'El control no es un hermano dentro de RelativePanel';
SInvalidRelativePanelSiblingSelf = 'El control no se puede colocar en relacion a si mismo.';
SRelativePanelCircularDependency = 'Error RelativePanel: dependencia circular detectada en el diseño.';
 
implementation

end.

